com.beaglebuddy.mpeg.enums

## Enum Layer

- java.lang.Object
- - java.lang.Enum<Layer>
  - - com.beaglebuddy.mpeg.enums.Layer

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Layer>

      public enum Layer
      extends java.lang.Enum<Layer>

  The list of MPEG layers supported by the MPEG audio standard.
  See Also:
    `MPEGFrameHeader`, Moving Picture Experts Group

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `I` layer I
    `II` layer II
    `III` layer III
    `RESERVED` reserved for future use

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getName()` gets the name of the MPEG layer.
    `java.lang.String` | `toString()` gets a string representation of the MPEG layer enum.
    `static Layer` | `valueOf(int layer)` converts an integral value to its corresponding MPEG layer enum.
    `static Layer` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Layer[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### RESERVED

          public static final Layer RESERVED

      reserved for future use

    - #### III

          public static final Layer III

      layer III

    - #### II

          public static final Layer II

      layer II

    - #### I

          public static final Layer I

      layer I

  - ### Method Detail

    - #### values

          public static Layer[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Layer c : Layer.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Layer valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getName

          public java.lang.String getName()

      gets the name of the MPEG layer.
      Returns:
        the name of the MPEG layer.

    - #### valueOf

          public static Layer valueOf(int layer)
                               throws java.lang.IllegalArgumentException

      converts an integral value to its corresponding MPEG layer enum.
      Parameters:
        `layer` - integral value to be converted to an MPEG layer enum.
      Returns:
        the MPEG layer enum corresponding to the integral value.
      Throws:
        `java.lang.IllegalArgumentException` - if the value is not a valid MPEG layer.

    - #### toString

          public java.lang.String toString()

      gets a string representation of the MPEG layer enum.
      Overrides:
        `toString` in class `java.lang.Enum<Layer>`
      Returns:
        a string representation of the MPEG layer enum.